Gecode::Reify Class Reference
Functionality by programming task » Programming models » Using integer variables and constraints

Reification specification. More...

`#include <int.hh>`

## Public Member Functions

| Reify (void)
| Default constructor without proper initialization.
| Reify (BoolVar x, ReifyMode rm=RM_EQV)
| Construct reification specification.
BoolVar | var (void) const
| Return Boolean control variable.
ReifyMode | mode (void) const
| Return reification mode.
void | var (BoolVar x)
| Set Boolean control variable.
void | mode (ReifyMode rm)
| Set reification mode.

## Protected Attributes

BoolVar | x
| The Boolean control variable.
ReifyMode | rm
| The reification mode.

## Detailed Description

Reification specification.

Definition at line 876 of file int.hh.

## Constructor & Destructor Documentation

## Reify() [1/2]

Gecode::Reify::Reify | ( | void |  | ) |

inline

Default constructor without proper initialization.

Definition at line 42 of file reify.hpp.

## Reify() [2/2]

Gecode::Reify::Reify | ( | BoolVar | x,
|  | ReifyMode | rm = RM_EQV )

inline

Construct reification specification.

Definition at line 45 of file reify.hpp.

## Member Function Documentation

## var() [1/2]

BoolVar Gecode::Reify::var | ( | void |  | ) | const

inline

Return Boolean control variable.

Definition at line 48 of file reify.hpp.

## mode() [1/2]

ReifyMode Gecode::Reify::mode | ( | void |  | ) | const

inline

Return reification mode.

Definition at line 56 of file reify.hpp.

## var() [2/2]

void Gecode::Reify::var | ( | BoolVar | x | ) |

inline

Set Boolean control variable.

Definition at line 52 of file reify.hpp.

## mode() [2/2]

void Gecode::Reify::mode | ( | ReifyMode | rm | ) |

inline

Set reification mode.

Definition at line 60 of file reify.hpp.

## Member Data Documentation

## x

BoolVar Gecode::Reify::x

protected

The Boolean control variable.

Definition at line 879 of file int.hh.

## rm

ReifyMode Gecode::Reify::rm

protected

The reification mode.

Definition at line 881 of file int.hh.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/reify.hpp